<?
$pNames=array(
  '好友'=>'friends',
  
  '群发'=>'public',
  
  '记录'=>'blog',
  '查询'=>'blog',
  '删除'=>'blog',
  
  '图'=>'pic',
  '图片'=>'pic',
  'P'=>'pic',
  
  '学习'=>'study',
);
$pluginBase=$plugin;
isset($pNames[$plugin]) && $plugin=$pNames[$plugin];

#是否包含IP
if(preg_match('/([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})/i',$msg,$mat)){
  $plugin='ip';
  $keyword="$mat[1].$mat[2].$mat[3].$mat[4]";
}

#是否包含手机号
if(preg_match('/1([0-9]{10})/i',$msg,$mat)){
  $plugin='mobile';
  $keyword='1'.$mat[1];
}

#记忆模式
if(!file_exists(dirname(__FILE__).'/'.$plugin) && qqVars('mode') && file_exists(dirname(__FILE__).'/'.qqVars('mode'))){
  $keyword=$msg=ltrim($msg,'#');
  $plugin=qqVars('mode');
}
?>